Article-centric news feed for a category - latest articles with linked markets and live prices
curl --request GET \
--url https://api.agg.market/news-feed/{category} \
--header 'x-app-id: <api-key>'import requests
url = "https://api.agg.market/news-feed/{category}"
headers = {"x-app-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-app-id': '<api-key>'}};
fetch('https://api.agg.market/news-feed/{category}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"article": {
"id": "<string>",
"title": "<string>",
"url": "<string>",
"snippet": "<string>",
"source": "<string>",
"imageUrl": "<string>",
"publishedAt": "<string>"
},
"markets": [
{
"venueMarketId": "<string>",
"question": "<string>",
"venue": "<string>",
"yesPrice": 123,
"eventTitle": "<string>",
"eventId": "<string>",
"summary": "<string>",
"relevanceScore": 123
}
],
"category": "<string>",
"id": "<string>",
"seq": 123,
"timestamp": "<string>"
}
],
"nextCursor": "<string>",
"hasMore": true
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Discovery
Article-centric news feed for a category - latest articles with linked markets and live prices
GET
/
news-feed
/
{category}
Article-centric news feed for a category - latest articles with linked markets and live prices
Authorizations
Your application ID. Required for all app-tier and user-tier routes.
Path Parameters
Query Parameters
Required string length:
1 - 32Pattern:
^[0-9]+$Required string length:
1 - 64Required string length:
1 - 64Required range:
1 <= x <= 50⌘I